List payments for a payment method
curl --request GET \
--url https://demo-api-harmony.compago.com/api/payment-method/{id}/payment \
--header 'x-api-key: <api-key>'import requests
url = "https://demo-api-harmony.compago.com/api/payment-method/{id}/payment"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://demo-api-harmony.compago.com/api/payment-method/{id}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 10,
"page": 1,
"pageSize": 100,
"items": [
{
"id": "11111111-2222-3333-4444-555555555555",
"status": "CONFIRMED",
"amount": 123,
"heldAmount": null,
"currency": "MXN",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "invoice-2025-01-8842",
"heldAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"holdReleasedAt": "2023-11-07T05:31:56Z",
"holdExpiresAt": "2023-11-07T05:31:56Z",
"holdExpired": true,
"holdDaysRemaining": 123
}
]
}Saved cards
List Charges
GET
/
payment-method
/
{id}
/
payment
List payments for a payment method
Authorizations
Path Parameters
The unique identifier of the payment method
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page (max 500)
Required range:
1 <= x <= 500Filter by payment status. Use HELD to list the holds that are still waiting to be captured or released.
Available options:
NOT_INITIALIZED, PENDING, CONFIRMED, CANCELLED, REFUNDED, HELD, HOLD_RELEASED, HOLD_EXPIRED Response
Paginated list of payments
Paginated list of payments for a payment method